aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xstart.sh8
-rwxr-xr-xstop.sh2
2 files changed, 6 insertions, 4 deletions
diff --git a/start.sh b/start.sh
index 2b4f1d3ded6..9c3a25a20cc 100755
--- a/start.sh
+++ b/start.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
if [[ "$OSTYPE" == "darwin"* ]]; then
OS='macosx-universal-64'
@@ -6,13 +6,15 @@ else
OS='linux-x86-64'
fi
-if ! ls sonar-application/target/sonarqube-*.zip &> /dev/null; then
+ls sonar-application/target/sonarqube-*.zip 1> /dev/null 2>&1
+if [ "$?" != "0" ]; then
echo 'Sources are not built'
./build.sh
fi
cd sonar-application/target/
-if ! ls sonarqube-*/bin/$OS/sonar.sh &> /dev/null; then
+ls sonarqube-*/bin/$OS/sonar.sh 1> /dev/null 2>&1
+if [ "$?" != "0" ]; then
unzip sonarqube-*.zip
fi
cd sonarqube-*
diff --git a/stop.sh b/stop.sh
index 3ddd22de9c1..04eb5b3f10b 100755
--- a/stop.sh
+++ b/stop.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Shortcut to stop server. It must be already built.